2 Replies Latest reply on May 22, 2013 8:29 PM by pwillener

    Flash player not recognized.

    marshallmay4258

      Help! I go to a site and click on something and it still says I need Flash 8.0 or higher?